Bug 198711 - Review Request: splint - An implementation of the lint program
Review Request: splint - An implementation of the lint program
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 188273 197183
  Show dependency treegraph
 
Reported: 2006-07-12 21:33 EDT by Miloslav Trmač
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 13:43:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2006-07-12 21:33:02 EDT
Spec URL: http://people.redhat.com/mitr/review/splint.spec
SRPM URL: http://people.redhat.com/mitr/review/splint-3.1.1-15.fc6.src.rpm
Description:
Splint is a tool for statically checking C programs for coding errors and
security vulnerabilities. With minimal effort, Splint can be used as a
better lint. If additional effort is invested adding annotations to programs,
Splint can perform even stronger checks than can be done by any standard lint.
Comment 1 Peter Gordon 2006-07-12 22:16:25 EDT
Splint is already in Extras:

$ yum list splint
[...]
Reading repository metadata in from local files
Available Packages
splint.i386                              3.1.1-13.fc5           extras
Comment 2 Miloslav Trmač 2006-07-12 22:22:43 EDT
Yep, this request is for RHEL though.  I have no idea whether f-p-r cares about
that...
Comment 3 Peter Gordon 2006-07-12 22:34:19 EDT
(In reply to comment #2)
> Yep, this request is for RHEL though.  I have no idea whether f-p-r cares about
> that...

Ah. I didn't notice that part. Mea Culpa.
Comment 4 Jesse Keating 2006-07-17 09:16:18 EDT
Package looks very clean, just a comment:

You obsolete lclint, but don't provide lclint.  Does this package not offer the
functionality of lclint?  When was the last time lclint was shipped?  Do we even
need to worry about obsoleting something we haven't shipped in a supported
upgrade release?  (IE RHEL4)

RPMLINT output:
E: splint-debuginfo script-without-shellbang
/usr/src/debug/splint-3.1.1/src/llerror.c
E: splint obsolete-not-provided lclint
W: splint devel-file-in-non-devel-package /usr/share/splint/lib/bool.h
W: splint devel-file-in-non-devel-package /usr/share/splint/lib/linux.h
W: splint devel-file-in-non-devel-package /usr/share/splint/lib/posix.h
W: splint devel-file-in-non-devel-package /usr/share/splint/lib/standard.h
W: splint devel-file-in-non-devel-package /usr/share/splint/lib/stdio.h
W: splint devel-file-in-non-devel-package /usr/share/splint/lib/stdlib.h
W: splint devel-file-in-non-devel-package /usr/share/splint/lib/unix.h
W: splint incoherent-version-in-changelog 3.1.1-15 3.1.1-15.el5
Comment 5 Miloslav Trmač 2006-07-17 10:03:13 EDT
Although splint is a continuation of the lclint codebase, it doesn't provide
/usr/bin/lclint and thus it is not a drop-in replacement of lclint.

lclint was last shipped in RHL 7.2 and RHEL 2.1, all RH{E,}L and Fedora splint
packages obsolete lclint.  Keeping the obsoletes: should allow upgrades from
RHEL2.1 to RHEL5 - although unsupported, I think we don't need to actively
make them impossible.  I don't feel strongly about it and wouldn't really mind
removing the Obsoletes:, though.

The rest of rpmlint output seems to be false positives.
Comment 6 Jesse Keating 2006-07-17 13:22:09 EDT
The script w/out shellbang is most likely due to executable bits set on it.

Fix that issue and the rest are ignorable.
Comment 8 Jesse Keating 2006-07-18 13:35:47 EDT
Looks good now.  Accepting.

Tim, now in your hands.
Comment 9 Tim Powers 2006-07-18 14:42:24 EDT
Please import this into ist CVS and then I'll create the RHEL-5 branch, add it to comps, and set up brew.
Comment 10 Miloslav Trmač 2006-07-18 18:44:40 EDT
Imported.
Comment 11 Tim Powers 2006-07-19 13:43:30 EDT
- RHEL-5 branch created
- added to comps
- brew configured

Please build your package. I am closing this bug.
Comment 12 Jay Turner 2006-09-22 01:32:30 EDT
[jturner@porkchop 4.91]$ pwd
/mnt/redhat/rel-eng/RHEL5-Server-20060919.1/4.91
[jturner@porkchop 4.91]$ find . -name "splint*" -print
./i386/os/Server/splint-3.1.1-16.el5.i386.rpm
./i386/debug/splint-debuginfo-3.1.1-16.el5.i386.rpm
./ppc/os/Server/splint-3.1.1-16.el5.ppc.rpm
./ppc/debug/splint-debuginfo-3.1.1-16.el5.ppc.rpm
./x86_64/os/Server/splint-3.1.1-16.el5.x86_64.rpm
./x86_64/debug/splint-debuginfo-3.1.1-16.el5.x86_64.rpm
./ia64/os/Server/splint-3.1.1-16.el5.ia64.rpm
./ia64/debug/splint-debuginfo-3.1.1-16.el5.ia64.rpm
./s390x/os/Server/splint-3.1.1-16.el5.s390x.rpm
./s390x/debug/splint-debuginfo-3.1.1-16.el5.s390x.rpm
./source/SRPMS/splint-3.1.1-16.el5.src.rpm

Note You need to log in before you can comment on or make changes to this bug.